Go Back   TechArena Community > Software > Operating Systems
Become a Member!
Forgot your username/password?
Tags Active Topics RSS Search Mark Forums Read

Sponsored Links



Metasploit pcaprub solution for Backtrack 5

Operating Systems


Reply
 
Thread Tools Search this Thread
  #1  
Old 19-06-2011
Member
 
Join Date: May 2011
Posts: 217
Metasploit pcaprub solution for Backtrack 5
  

Immediately installed Backtrack 5 (32-bit GNOME) and revealed that this issue is not having pcaprub extensions installed. Therefore, do nothing with Metasploit modules direct connector other than an error. To save others the time I copied and pasted the metasploit wiki on how to do this.
Code:
# cd /pentest/exploits/framework3/external/pcaprub
# ruby extconf.rb
# make && make install
Hope this helps!

Reply With Quote
  #2  
Old 19-06-2011
Member
 
Join Date: Nov 2009
Posts: 1,416
Re: Metasploit pcaprub solution for Backtrack 5

Hello everyone today I just downloaded and installed the newer version of backtrack which is Backtrack 5 .I found that there is no pcaprub extension installed. I'm using the KDE x64 bit version of Backtrack 5.I don?t know if there is any issue this time and I have heard that pcaprub extension only works in 32 bit versions. I think I need to report this issue to Backtrack support .so that they can release the fix for it in couple of days.
Reply With Quote
  #3  
Old 19-06-2011
Member
 
Join Date: Nov 2009
Posts: 1,269
Re: Metasploit pcaprub solution for Backtrack 5

Try updating your metasploit.
Code:
# cd opt/framework3/msf3/external/pcaprub
# ruby extconf.rb && make && make install
open msfconsole
Code:
# ruby /pentest/exploits/framework3/msfconsole
I found this ineffecitive in many cases thats why i tried this one
Code:
# ruby /opt/framework3/msf3/msfconsole
Again they are linking to the similar directly but with /pentest/. I tried so many times and it doesn?t work and with /opt it work and after this I scanned my network with ipidseq and its was working fine. Im not downloading any further packages of my own. I?m happy with things provided by backtrack.
Reply With Quote
  #4  
Old 19-06-2011
Member
 
Join Date: Nov 2008
Posts: 1,185
Re: Metasploit pcaprub solution for Backtrack 5

I'm having exactly similar problem. I tried following commands.
Code:
cd /pentest/exploits/framework3/external/pcaprub
ruby extconf.rb && make && make install
By trying above commands, msfconsole still was not able to load the library
Code:
gem install pcaprub
I got a load eror which I was getting nowhere with simple fix,when I run msfconsole it was able to run few scripts and then it loads the console,one of them exactly setup environment.after installing and you just need to add path to setenv.sh script to rubylib path.
Code:
cd /pentest/exploits/framework3/external/pcaprub
ruby extconf.rb && make && make install
than
Code:
gedit /opt/framework3/scripts/setenv.sh &
So whole thing is
Code:
##### RUBY ENV #####
# Don't override GEM_PATH so users can install gems for the system ruby and
# they at least have a chance of working with ours
GEM_HOME="/opt/framework3/ruby/lib/ruby/gems/1.9.1"
RUBY_HOME="/opt/framework3/ruby"
RUBYLIB
There must be many paths in rubylib separated by and just add the path of pcaprub to the end .restart the console and it will work fine. I have verified this on both Gnome 32 and 64 bit releases of backtrack 5.
Reply With Quote
  #5  
Old 19-06-2011
Member
 
Join Date: Nov 2009
Posts: 1,035
Re: Metasploit pcaprub solution for Backtrack 5

I think this could be the technique for set up of MSF pcaprub differ the type of system you have (not only x86/x64) and the hardware that's inside, perhaps the way it is configured by backtrack during the installation. It sounds ridiculous, but all have the similar copy and the majority people do the same, install, restart, update everything with package manager and start MSF consulting with one of the scanners, if pcaprub is installed. And appear how a lot of possibilities exist to solve this difficulty and many people find their own ways to configure the whole thing. Of course, there is auspicious to have no issues with their computers and backtrack 5.
Reply With Quote
Reply

  TechArena Community > Software > Operating Systems
Tags: , , , , , , ,



Thread Tools Search this Thread
Search this Thread:

Advanced Search


Similar Threads for: "Metasploit pcaprub solution for Backtrack 5"
Thread Thread Starter Forum Replies Last Post
How to install metasploit and postgresql in backtrack 5? GaganGang Operating Systems 8 30-09-2011 12:51 PM
Backtrack 5 ? No database in metasploit, when followed proposed steps Habiba22 Windows Software 5 05-08-2011 09:21 AM
BackTrack 5: Getting call stack error on metasploit drivers Aag-Man Windows Software 5 09-07-2011 10:36 AM
Unable to execute metasploit in backtrack 5 after updating db_driver sqlite 3 Gaganvihari Windows Software 5 06-07-2011 07:40 PM
Can?t get metasploit working in backtrack 5 Baijayanthi Operating Systems 4 20-06-2011 06:34 AM


All times are GMT +5.5. The time now is 03:47 PM.